Helios X Windows v11 R4  (Helios version 2.3)
===============================================

This disk contains version 2.3 Helios X V11 R4. If
you know of other problems which you think should be 
included in the next release, please send them to 

	DSL, Technical Support, The Maltings, Charlton Rd.
	Shepton Mallet, Somerset BA45QE UK. Fax [+44] (0) 749 344977 

If you have installed only xterminal software, then some
of the reports will not apply to your system.

Changes in v2.3
---------------

Problem: Obscure window server messages.
Fixed.

Changes in v2.2
---------------

The only changes are bug fixes in the window server and the tty server.

Problem Report No. 1058 window
Problem: ANSI escape sequences not understood
Fixed.


Changes in v2.1
-----------------

New Drivers
-----------  
	newg332.d    -- INMOS IX and equivalent cards display driver
	newgds2.d    -- Parsytec display driver
	newatw.d     -- ATARI ATW display driver
	keyboatw.no  -- ATARI ATW keyboard driver
	keyboatw.yes -- ATARI ATW keyboard driver
	b020_kbd.d   -- INMOS b020 keyboard driver with ALT F4 hot key switch
 
Extra Support
-------------
	hpcx.exe     -- INMOS b020 dos utility program  

Fixes
-----

Problem Report No.     xterm
Problem: xterm does not set terminal type automatically for Ethernet 1.03
and later. A new xterm which supports the setting of terminal type to xterm
is supplied.

Problem Report No.    device driver sources
Problem: Drivers do not make without errors
insert #include <x11/xmd.h> to first line of header declarations in keyboard.c
insert #include "x11/mdmouse.h" before #include "mdmouse.h" in mouse.c

Problem Report No. 797 Rose 
Problem: does not work
A new version of rose is supplied.

Problem Report No. 793 xterm 
Problem: fails to initialise
/helios/etc/termcap program missing, termcap supplied with disk.
Type "setterm xterm" to take advantage of termcap entry.

Problem Report No. 821 keyboard.yes
Problem: clients (e.g. xedit) keyboard interpretation of characters incorrect 
A new version to keyboard.yes is supplied

Problem Report No. 822 Xhelios
XQueryBestStipple() returns a width_return of 0. (Should be next greatest power
of two to the value supplied.)
Fixed version of Xhelios supplied

Problem Report No. 823 Xterm
home button suspends helios
Fixed version of xterm supplied

Problem Report No. 798 newXrc
progname in newxrc did not pass on arguments
The arguments should be supplied inside double quotes. e.g.
progname = "/helios/bin/Xhelios -su -bs -fp /helios/lib/x11/fonts/misc,/helios/lib/x11/fonts/100dpi"

Problem Report No. 801 Xhelios
key board events time parameter incorrect. Problems with MOTIF window mouse move
Fixed version of Xhelios supplied

Problem Report No. 824 window
Delete and insert line ansi functions did not scroll properly
Fixed version of window supplied

Problem Report No. 792 Xterm
/ not interpreted correctly on keypad by xterm
Fixed version of xterm supplied

Problem Report No.813  window
Lines repeated when xserver under load
Fixed version of window supplied 

Problem Report No. 807 window,xterm
key press characters repeated when IOserver under load due to delayed
key up to xclients.
Workaround : increase auto_repeat_delay in /helios/etc/newXrc to suit host
machine speed
e.g. auto_repeat_delay = 700

Problem Report No. 828 Xhelios
Under low memory conditions window does not refresh screen correctly
Helios BSD Bcopy() failed to copy overlapping memory areas correctly.
Fixed version of xhelios supplied

==============================================================================

Known Problems
--------------

Problem Report No. 825 Xhelios
Clients sometimes disappear when there is no more free memory.
Use -bs -su option switches to Xhelios to save memory.
With other processors available commands such as tcpip and window can be
moved to other processors

Problem Report No. 805 Xhelios
When an xclient is killed the window sometimes remains.

Problem Report No. 826 window
When using the window server, if the user logs out and then logs in,
the window shell runs much slower than before.

Problem Report No. 827 window
Helios window terminal emulator works slowly under load

Problem Report No. 1059 xterm
xterm does not handle signal correctly (Helios 1.3). Foreground jobs 
started from an xterm shell will remove the xterm window if aborted
with ctrl-C.

================================================================================

Documentation update

How To Configure The Keyboard
-----------------------------

	If you discover that some of the keys on your keyboard
do not produce the symbols that you expect them to, then you
can use the following technique to fix the problem.  (Note you
can still use this technique if there are a lot of discrepancies
on your keyboard, but it might be more worthwhile to fix the
keyboard driver.  Doing this is described in the section on
device drivers in the original documentation).

	The command 'xmodmap' can be used to list and modify
the symbols produced by keys on the keyboard.  The command
'xmodmap -pk' lists the symbols and keys.  Part of its output
looks like this:

     67    	0x0034 (4)	0x0024 (dollar)		0x00bc (onequarter)
     68    	0x0033 (3)	0x0023 (numbersign)	0x0023 (numbersign)	
     69    	0x0032 (2)	0x0022 (quotedbl)	0x0040 (at)	
     70    	0x0031 (1)	0x0021 (exclam)		0x00a1 (exclamdown)	

	This means, for example, that key number '67' will
produce the symbol '4' when pressed, or the symbol '$' when
pressed with the 'shift' key held down, and the symbol for one
quarter (one over four) when the 'alternate' (or 'mod') key is held down.

	In order to modify the keymap you must use the 'xmodmap -e'
command.  This takes an expression detailing the new assignment
of key and symbols.  For example suppose that the key with a
backslash '\' and vertical bar '|' keep producing an asterisk '*'
and an at sign '@', then you could say:

    xmodmap -e "keysym backslash = asterisk at"

	The names all come from the file /helios/include/X11/keysymdef.h
and correspond to the names of the #define constants, without
the XK_ prefix.  (Incidentally, the values of the symbols correspond
to the ASCII character set wherever possible).

	The word 'keysym' indicates that the key to be changed is
going to be identified by the symbol it produces when pressed (without
any other keys pressed).  This may not always be convenient, as there
may be two or more such keys that will produce this symbol.  The
alternative form 'keycode' can be used to uniquely identify the key
by its number (the first column of the output of 'xmodmap -pk').  So,
for example:

    xmodmap -e "keycode 115 = asterisk at"

sets key number 115 to produce '*' or '@'.  (Note that this key will
no longer produce any symbol when pressed with the 'alternate' key
held down, since only two entries are defined in the command above.  This
can be fixed by specifying three entries as in:

    xmodmap -e "keycode 115 = asterisk at bar"


xtrek
-----

	In addition to placing a line in the file /helios/etc/inetd.conf
( Note the documentation incorrectly states that inetd.conf should be in the
/helios/lib directory ).
You must also place the following line in /helios/etc/services:

    xtrek    5701/tcp    xtrek

The xtrek program will only work if the ethernet software has been installed.


Xterm
-----
The xterm term program no longer prints out start up messages to stderr
unless the -d flag is given as its first parameter.

A -v flag has been added to xterm to print the version number of xterm
and the helios window server.

X Server
--------
The X server no longer prints out start up messages to stderr
unless the -d flag is given as its first parameter.

The X server now reports being unable to locate a fonts.dir file

Xlights
-------
Example load monitor now gives a bar chart format displaying from the top
processor load, comunication load and memory usage. Typing l in the windows
gives button format, and b returns back to bar format. Usage:

xlights <processor list>  &

PLEASE NOTE !!!
===============
Configuring X workstations can be a difficult process. We recommend that you
read the whole Installation and configuration guide before attempting to
install the software. Attention is drawn to the following points:

1. When not using the ethernet I package ensure notcp is given as an argument to
xhelios. Page 17 of The Helios X Window System Manual.

2. PC systems must ensure a PC mouse driver is loaded and the Xsupport switch
in the host.con file is uncommented. 

3. If you are experiencing difficulty configuring your monitor to run with the 
X Server (not uncommon!), there is a utility program called harness (page 28).
This is located in the /helios/local/xsrc/devices directory. To run harness
you must use two monitors, one for a normal text based Helios session and the
second graphics monitor is used to test the newxrc values. Use the
keyboard.no driver (page 19) for dual monitor operation. Harness will
use a local copy of newxrc in preference to the /helios/etc/newxrc if present.
